<?php

class WPEPAddOnMemberiumAdministration {

  protected static $_instance;

  public static function instance() {
    if( self::$_instance == null )
      self::$_instance = new self();

    return self::$_instance;
  }

  public function init() {
    add_action( 'wpep_administration_section_option_field', array( $this, 'section_option_field' ), 10, 2 );
    add_action( 'wpep_administration_lesson_option_field', array( $this, 'lesson_option_field' ), 10, 2 );

    add_filter( 'wpep_administration_course_metaboxes', array( $this, 'entity_metaboxes' ) );
    add_filter( 'wpep_administration_video_metaboxes', array( $this, 'entity_metaboxes' ) );
    add_filter( 'wpep_administration_ebook_metaboxes', array( $this, 'entity_metaboxes' ) );
  }

  public function section_option_field( $field_prefix, $section_options ) {
    echo      '<div class="wpep-form-group">';
    echo        '<label for="wpep-section-title">' . __( "Memberium Tag", 'wpep_memberium_integration' ) . ':</label>';
    echo        '<input type="text" class="tag-selector" style="width:400px;" name="' . $field_prefix . '[memberium_tag]" ';
    echo               'value="' . ( isset( $section_options->memberium_tag ) ? $section_options->memberium_tag : '' ) . '">';
    echo      '</div>';
  }

  public function lesson_option_field( $field_prefix, $lesson_options ) {
    echo      '<div class="wpep-form-group">';
    echo        '<label for="wpep-section-title">' . __( "Memberium Tag", 'wpep_memberium_integration' ) . ':</label>';
    echo        '<input type="text" class="tag-selector" style="width:400px;" name="' . $field_prefix . '[memberium_tag]" ';
    echo               'value="' . ( isset( $lesson_options->memberium_tag ) ? $lesson_options->memberium_tag : '' ) . '">';
    echo      '</div>';
  }

  public function entity_metaboxes( $meta_boxes ) {
    $meta_boxes['memberium-course-settings'] = array(
      'id'         => 'wpep_memberium_course_settings',
      'title'      => __( 'Memberium Integration', 'wpep_memberium_integration' ),
      'pages'      => array( 'courses', 'video', 'ebook' ),
      'context'    => 'side',
      'priority'   => 'low',
      'show_names' => true,
      'fields'     => array(
        array(
          'name' => __( 'Upsell Link', 'wpep_memberium_integration' ),
          'desc' => __( 'Optional Upsell Link, by default the one from settings will be used.', 'wpep_memberium_integration' ),
          'id'   => 'wpep_memberium_upgrade_link',
          'type' => 'text',
        ),
        array(
          'name'  => __( 'Tag', 'wpep_memberium_integration' ),
          'desc'  => __( 'After finishing the course the user will be given this tag.', 'wpep_memberium_integration' ),
          'id'    => 'wpep_memberium_tag',
          'type'  => 'text',
          'class' => 'regular-text tag-selector'
        )
      )
    );

    return $meta_boxes;
  }


}

WPEPAddOnMemberiumAdministration::instance()->init();
