<?php
/**
 * Plugin Name:  WP Execution Plan - Memberium
 * Plugin URI:    http://www.codeiscode.com
 * Description:  An Addon that allows you upsell Memberium Courses
 * Version:    1.2.2
 * Author:      CodeisCode
 * Author URI:    http://www.codeiscode.com
 * Text Domain:  wpextplan
 * License:         GNU General Public License
 * License URI:     http://www.gnu.org/licenses/gpl-2.0.txt
 */

define( "WPEP_ADDON_MEMBERIUM_PLUGIN_PATH", dirname( __FILE__ ) );

add_action('wpep_register_addon', 'wpep_addon_memberium_register');
add_action('wpep_plugin_update_registered', 'wpep_addon_memberium_updater');

add_filter( 'plugin_action_links_' . plugin_basename(__FILE__), 'wpep_addon_memberium_action_links' );

function wpep_addon_memberium_action_links( $links ) {
  $links[] = '<a href="'. esc_url( get_admin_url(null, 'edit.php?post_type=courses&page=wpep-settings&tab=addon&addon=memberium-integration') ) .'">' . __( "Settings", 'wpep' )  . '</a>';
  return $links;
}

function wpep_addon_memberium_register( $addon_controller ) {
  if( !class_exists('WPEPAddOnMemberium') )
    require_once( "inc/controller.php" );

  $addon_controller->register( WPEPAddOnMemberium::instance() );

  if( is_admin() ) {
    require_once( "inc/settings.php" );

    $addon_controller->register_settings_page( WPEPAddOnMemberiumSettings::instance() );
  }
}

// WPEP Custom UI Updater. This is an integration with EDD directly.

function wpep_addon_memberium_updater() {
  if( !class_exists('WPEPAddOnMemberium') )
    require_once( "inc/controller.php" );

  $plugin_information = WPEPAddOnMemberium::instance()->get_information();

  $updater_instance = new EDD_SL_Plugin_Updater('http://codestore.codeiscode.com', WPEP_ADDON_MEMBERIUM_PLUGIN_PATH,
    array(
      'version'   => $plugin_information['version'],
      'license'   => get_option('wpep_addon_memberium_license', ''),
      'item_id'   => $plugin_information['store_id'],
      'url'       => urlencode(home_url()),
      'author'    => $plugin_information['store_author'], // author of this plugin
    )
  );
}

require_once( WPEP_ADDON_MEMBERIUM_PLUGIN_PATH . "/inc/administration.php" );
